package org.glitched.engine.graphic;

import java.util.Random;
import org.glitched.engine.resource.ResourceManager;
import org.glitched.game.gui.Button;
import org.glitched.util.Vector2f;
import org.newdawn.slick.AppGameContainer;
import org.newdawn.slick.BasicGame;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.SlickException;

/**
 * Test Main Class : Teste les fonctionnalités du moteur graphique
 *
 * @author Sparamoule
 */
public class Test extends BasicGame {
    
    Renderer renderer;
    Sprite[] sprites;
    Random random = new Random();
    ResourceManager rm;
    
    
    public Test() {
        super("Test");
        
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws SlickException {
        AppGameContainer app = new AppGameContainer(new Test());
 
        app.setDisplayMode(800, 600, false);
        app.start();

    }

    @Override
    public void init(GameContainer gc) throws SlickException {
        renderer = new Renderer();
        sprites = new Sprite[2000];
        rm = new ResourceManager();
        rm.loadImage("game_atlas", "test2.png");
        
        for (Sprite s : sprites) {
            
            int depth = (int)(random.nextInt(6)+1);
        
            s = new Sprite(rm.getImage("game_atlas"),random.nextBoolean()?0:32,0,32,32);
            s.setDepth(depth);
            s.setLayer(depth);
            
            s.setPosition(new Vector2f(random.nextInt(800)*depth,random.nextInt(600)*depth));
            //s.setOpacity(random.nextFloat());
            renderer.addSprite(s);
        }
    }

    @Override
    public void update(GameContainer gc, int i) throws SlickException {
        renderer.getViewPosition().x += 0.1 * i;
    }

    @Override
    public void render(GameContainer gc, Graphics grphcs) throws SlickException {
        renderer.draw();
    }

}
