package org.glitched.engine.input;

import java.util.HashMap;

/**
 * InputManager class : Associe des noms à plusieurs
 * codes d'entrées (clavier, souris)
 * @author Sparamoule
 */
public class InputManager extends HashMap<String,Input[]> {
    
    /**
     * Retourne true si une ou plusieurs entrées relatives à un nom 
     * sont actives
     * @param name Nom de l'entrée
     * @return Un booléen qui indique si l'entrée est active
     */
    public boolean isActive(String name) {
        for (Input i : get(name)) {
            if (i.isActive()) {
                return true;
            }
        }
        return false;
    }
    
    
    
    

}
