package org.glitched.game;

import org.glitched.engine.resource.ResourceManager;
import org.glitched.util.FileLoader;
import org.newdawn.slick.Image;

/**
 * Character class : Personnage du jeu, défini par un fichier externe
 *
 * @author Sparamoule
 */
public class Character {
    
    private String name;
    private Image speakDisplayImage;
    
    /**
     * Charge les données du personnage
     * @param ref Chemin vers le fichier ".char"
     * @param rm ResourceManager principal
     */
    public void load(String ref,ResourceManager rm) {
        FileLoader fl = new FileLoader("res/char/" + ref);
        fl.load();
        String[] con = fl.getLineContent();
        name = con[0];
        rm.loadImage("char_" + name + "_speakdisplaytex", "res/tex" + con[1]);
        speakDisplayImage = rm.getImage("char_" + name + "_speakdisplaytex"); 
        
    }
    

}
