package org.glitched.game.level;

import org.glitched.engine.graphic.Renderer;
import org.glitched.engine.graphic.Sprite;
import org.glitched.game.entity.Entity;
import org.glitched.game.gui.Button;
import org.newdawn.slick.AppGameContainer;
import org.newdawn.slick.BasicGame;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.SlickException;

/**
 * Test class :
 *
 * @author Sparamoule
 */
public class Test extends BasicGame {
    
    public Test() {
        super("test");
    }
    
    Level level = new Level();
    Renderer renderer = new Renderer();
    
    public static void main(String args[]) throws SlickException {
        
        AppGameContainer app = new AppGameContainer(new Test());
 
        app.setDisplayMode(800, 600, false);
        app.start();   
        
    }

    @Override
    public void init(GameContainer gc) throws SlickException {
        Entity button = new Button();
        button.getPosition().x = 400;
        button.getPosition().y = 300;
        level.addEntity(button);
        
        // On ajoute tous les psirtes d'entités au renderer
        for (Entity e : level.getEntities()) {
            for (Sprite s : e.getSprites()) {
                renderer.addSprite(s);
            }
        }
        
        
    }

    @Override
    public void update(GameContainer gc, int i) throws SlickException {
        level.update(((float)i)/1000f);
        
    }

    @Override
    public void render(GameContainer gc, Graphics grphcs) throws SlickException {
        for (Entity e : level.getEntities()) {
            for (Sprite s : e.getSprites()) {
                s.getPosition().x = e.getPosition().x;
                s.getPosition().y = e.getPosition().y;
            }
        }
        renderer.draw();
    }
    

}
