package org.glitched.util;

/**
 * Color class : Couleur rgba
 * Les valeurs vont de 0 à 1
 *
 * @author Sparamoule
 */
public class Color {
    
    public static final Color WHITE = new Color(1,1,1);
    public static final Color BLACK = new Color(0,0,0);
    
    /**
     * Composantes rgba
     */
    public float r,g,b,a;
    
    /**
     * Constructeur détaillé
     * @param r red
     * @param g green
     * @param b blue
     * @param a alpha
     */
    public Color(float r,float g,float b,float a) {
        this.r = r;
        this.g = g;
        this.b = b;
        this.a = a;
    }
    
    /**
     * Constructeur rgb
     * @param r
     * @param g
     * @param b 
     */
    public Color(float r,float g,float b) {
        this(r,g,b,1f);
    }
    
    /**
     * Constructeur par copie
     * @param c 
     */
    public Color(Color c) {
        this(c.r,c.g,c.b,c.a);
    }
    
    public void set(float r,float g,float b,float a) {
        this.r = r;
        this.g = g;
        this.b = b;
        this.a = a;
    }
    
    public void set(float r,float g,float b) {
        set(r,g,b,1);
    }
    
    
    
    
    
}
