package org.glitched.util;

/**
 * Vector2f class : Coordonnées 2d float
 *
 * @author Sparamoule
 * @version 1.0
 */
public class Vector2f {
    
    /**
     * Coordonée X
     */
    public float x = 0;
    
    /**
     * Coordonée Y
     */
    public float y = 0;
    
    
    /**
     * Constructeur assignant
     * @param x : coordonée X à assigner
     * @param y : coordonée Y à assigner
     */
    public Vector2f(float x,float y) {
        set(x,y);
    }
    
    /**
     * Constructeur standard
     * assigne x=0 et y=0
     */
    public Vector2f() {
        set(0,0);
    }
    
    /**
     * Constructeur par copie
     * @param v Vector2f à copier
     */
    public Vector2f(Vector2f v) {
        this.x = v.x;
        this.y = v.y;
    }
    
    /**
     * Assigne X et Y
     * @param x : coordonée X à assigner
     * @param y : coordonée Y à assigner
     */
    public final void set(float x,float y) {
        this.x = x;
        this.y = y;
    }

}
